// priority: 0
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded CUSTOM MATERIALS.js)')


GTCEuStartupEvents.registry('gtceu:material', event => {

    // quartz_alloy
    event.create('quartz_alloy')
        .ingot()
        .components('2x nether_quartz', '1x iron')
        .color(0xe4e4e4).iconSet(GTMaterialIconSet.METALLIC)
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_SMALL_GEAR)

    // forged_netherite
    event.create('forged_netherite')
        .ingot()
        .components('1x gold', '4x steel')
        .color(0x443a3b).secondaryColor(0x5a575a).iconSet(GTMaterialIconSet.METALLIC)
        .blastTemp(3600, "mid", GTValues.VA[GTValues.HV], 1600)
        .toolStats(
            ToolProperty.Builder.of(10.0, 4.0, 2032, 4,
                [
                    GTToolType.SWORD,
                    GTToolType.PICKAXE,
                    GTToolType.SHOVEL,
                    GTToolType.AXE,
                    GTToolType.HOE,
                    GTToolType.MINING_HAMMER,
                    GTToolType.SPADE,
                    GTToolType.SAW,
                    GTToolType.HARD_HAMMER,
                    GTToolType.WRENCH,
                    GTToolType.FILE,
                    GTToolType.CROWBAR,
                    GTToolType.SCREWDRIVER,
                    GTToolType.MORTAR,
                    GTToolType.WIRE_CUTTER,
                    GTToolType.SCYTHE,
                    GTToolType.KNIFE,
                    GTToolType.BUTCHERY_KNIFE,
                    GTToolType.DRILL_LV,
                    GTToolType.DRILL_MV,
                    GTToolType.DRILL_HV,
                    GTToolType.DRILL_EV,
                    GTToolType.DRILL_IV,
                    GTToolType.CHAINSAW_LV,
                    GTToolType.WRENCH_LV,
                    //GTToolType.WRENCH_HV,
                    //GTToolType.WRENCH_IV,
                    GTToolType.BUZZSAW,
                    GTToolType.SCREWDRIVER_LV,
                    //GTToolType.WIRE_CUTTER_LV,
                    //GTToolType.WIRE_CUTTER_HV,
                    //GTToolType.WIRE_CUTTER_IV
                ]
            )
                .unbreakable()
                .build()
        )
        .flags(
            GTMaterialFlags.GENERATE_PLATE,
            GTMaterialFlags.GENERATE_ROD,
            GTMaterialFlags.GENERATE_BOLT_SCREW,
            GTMaterialFlags.GENERATE_FRAME,
            GTMaterialFlags.GENERATE_GEAR,
            GTMaterialFlags.GENERATE_LONG_ROD,
            GTMaterialFlags.GENERATE_FOIL,
            GTMaterialFlags.GENERATE_RING,
            GTMaterialFlags.GENERATE_SPRING,
            GTMaterialFlags.GENERATE_SPRING_SMALL,
            GTMaterialFlags.GENERATE_SMALL_GEAR,
            GTMaterialFlags.GENERATE_FINE_WIRE,
            GTMaterialFlags.GENERATE_ROTOR
        )

    // rough_concrete
    event.create('rough_concrete')
        .dust()
        .color(0xffffcc)

    // materialized_experience
    event.create('materialized_experience')
        .gem()
        .liquid()
        .color(0x009900).secondaryColor(0x004d00)


    // fin //

})